/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
extract-preview {
  .disclaimer {
    padding: 10px;
    background-color: $alert-warning-bg;
    border-bottom: 1px solid $alert-warning-border;
    color: $alert-warning-text;
    .btn {
      position: absolute;
      right: 10px;
      top: 5px;
    }
  }

  .snippet {
    background: #f5f5f5;
    margin-bottom: 5px;
    &:last-child {
      margin-bottom: 0px;
    }
  }

  .table-hover > tbody > tr:hover .snippet {
    background-color: #ffffff;
  }

  samp {
    display: block;
    font-size:12px;
    padding:3px 6px;
    line-height: 1.5em;
    word-break: break-all;
  }

  //thead {
  //  display: block;
  //}

  tbody {
    opacity: 1;
    transition: opacity .10s ease-in-out;
    //height: 200px;
    //display: block;
    //overflow-y: scroll;
  }

  .loading {
    position: relative;
    @include spinner(50px);
    &::after {
      top: 120px;
    }
    tbody {
      opacity: .1;
    }
  }

  [ui-codemirror] {
    .CodeMirror {
      height:auto;
      background: transparent;
      font-size: 12px;
      .CodeMirror-scroll {
        max-height: 200px;
      }
    }

  }
}